using ProtoBuf;
using Quasar.Common.Enums;

namespace Quasar.Common.Messages
{
    [ProtoContract]
    public class DoPathCopy : IMessage
    {
        [ProtoMember(1)]
        public string SourcePath { get; set; }

        [ProtoMember(2)]
        public string DestinationPath { get; set; }

        [ProtoMember(3)]
        public FileType PathType { get; set; }
    }
}
